#!/bin/sh

[ -r /var/lib/ejabberd/.erlang.cookie ] && HOME=/var/lib/ejabberd

CONFIG=/etc/ejabberd/ejabberd.cfg
LOG=/var/log/ejabberd/ejabberd.log
SASL_LOG=/var/log/ejabberd/sasl.log
SPOOL=/var/lib/ejabberd

ARGS=
while [ $# -ne 0 ]
do
    PARAM=$1
    shift
    case $PARAM in
	--) break ;;
	--config) CONFIG=$1 ; shift ;;
	--log) LOG=$1 ; shift ;;
	--sasl-log) SASL_LOG=$1 ; shift ;;
	--spool) SPOOL=$1 ; shift ;;
	*) ARGS="$ARGS $PARAM"
    esac
done

exec erl -pa /var/lib/ejabberd/ebin \
    -sname ejabberd \
    -s ejabberd \
    -ejabberd config \"$CONFIG\" log_path \"$LOG\" \
    -sasl sasl_error_logger \{file,\"$SASL_LOG\"\} \
    -mnesia dir \"$SPOOL\" \
    $ARGS "$@"
