Name: ejabberd
Version: 1.1.2
Release: alt0.M30.1

Packager: Mikhail Yakshin <greycat@altlinux.ru>

Summary: Fault-tolerant distributed Jabber server written in Erlang
License: JOSL/GPL
Group:	System/Servers
URL:	http://ejabberd.jabber.ru/

Source: ejabberd-%version.tar.bz2
Source1: ejabberd.init
Source2: ejabberd.cfg
Source3: ejabberd.logrotate
Source4: ejabberd.sh
Source5: ejabberdctl
Source6: ejabberd.8
Source7: ejabberdctl.8

Patch1: ejabberd-alt-makefile-path.patch

BuildPreReq: erlang libexpat-devel gcc libssl-devel zlib-devel

Requires: erlang

%description
ejabberd is a Free and Open Source distributed fault-tolerant Jabber
server. It writen mostly in Erlang.

The main features of ejabberd is:

* Truly portable
* Distributed
* Fault-tolerance
* Built-in Multi-User Chat service
* Built-in IRC transport
* Built-in Publish-Subscribe service
* Built-in Jabber Users Directory service based on users vCards
* Built-in web-based administration interface
* Built-in HTTP Polling service
* SSL support
* Support for LDAP authentification
* Ability to interface with external components (JIT, MSN-t, Yahoo-t, etc)
* Migration from jabberd14 is possible
* Mostly XMPP-compliant
* Support for JEP-0030 (Service Discovery).
* Support for JEP-0039 (Statistics Gathering).
* Support for xml:lang 

%description -l ru_RU.KOI8-R
ejabberd -   Jabber-  
    .     
Erlang.

  ejabberd :

*  
* 
*      
*   Multi-User Chat
*   IRC
*   Publish-Subscribe
*  Jabber Users Directory  vCards 
*  web-  
*   HTTP Polling
*  SSL
*    LDAP
*     (JIT, MSN-t, Yahoo-t  ..)
*     jabberd14
*      XMPP
*  JEP-0030 (Service Discovery).
*  JEP-0039 (Statistics Gathering).
*  xml:lang 

%prep
%setup -qn %name-%version
%patch1

%build
cd src
%configure --with-openssl=%_usr
%make_build

%install
pushd src
%make_install DESTDIR=%buildroot install

%__mkdir_p %buildroot%_sysconfdir/logrotate.d
%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_sbindir
%__mkdir_p %buildroot%_man8dir
%__mkdir_p %buildroot%_var/run/ejabberd
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m 755 %SOURCE1 %buildroot%_initdir/ejabberd
%__install -m 644 %SOURCE2 %buildroot%_sysconfdir/ejabberd/ejabberd.cfg
%__install -m 644 %SOURCE3 %buildroot%_sysconfdir/logrotate.d/ejabberd
%__install -m 755 %SOURCE4 %buildroot%_sbindir/ejabberd
%__install -m 755 %SOURCE5 %buildroot%_sbindir
%__install -m 644 %SOURCE6 %buildroot%_man8dir
%__install -m 644 %SOURCE7 %buildroot%_man8dir

popd

%__mv doc %buildroot%_docdir/%name-%version/manual
%__cp C* %buildroot%_docdir/%name-%version

%pre
%_sbindir/groupadd -r -f ejabberd \
    2>/dev/null ||:
%_sbindir/useradd -r -g ejabberd -c 'ejabberd server' -d %_localstatedir/ejabberd \
    -s /dev/null ejabberd 2>/dev/null ||:

%files
%_docdir/%name-%version
%_man8dir/*
%attr(640,root,ejabberd) %config(noreplace) %_sysconfdir/ejabberd/ejabberd.cfg
%_sbindir/*
%attr(750,ejabberd,ejabberd) %_localstatedir/ejabberd
%attr(750,ejabberd,ejabberd) %dir %_logdir/ejabberd 
%attr(750,ejabberd,ejabberd) %dir %_var/run/ejabberd
%config %_initdir/ejabberd
%config %_sysconfdir/logrotate.d/ejabberd

%changelog
* Thu Nov 02 2006 Alexey Borovskoy <alb@altlinux.ru> 1.1.2-alt0.M30.1
- Backport to Compact 3.0.4.

* Wed Oct 04 2006 Alexey Borovskoy <alb@altlinux.ru> 1.1.2-alt0.M24.1
- New version: 1.1.2. 

* Mon Dec 19 2005 Alexey Borovskoy <alb@altlinux.ru> 1.0.0-alt0.M24.1
- New version: 1.0.0.

* Sun Jun 05 2005 Alexey Borovskoy <alb@altlinux.ru> 0.9.1-alt0.M24.1
- New version: 0.9.1

* Wed May 11 2005 Alexey Borovskoy <alb@altlinux.ru> 0.9-alt0.M24.1
- Backport to Master 2.4
- Spec cleanup

* Wed Apr 20 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.9-alt1
- 0.9
- modified ejabberd init to support 'status' command

* Tue Mar 08 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.7.5-alt2
- fixed #6135 with patch from teo (Sergei Golovan)

* Wed Jan 12 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Sun Aug 22 2004 Mikhail Yakshin <greycat@altlinux.ru> 0.7-alt1
- Initial build for ALT Linux

